Package org.codehaus.groovy.classgen.asm

## Class MethodPointerExpressionWriter

- java.lang.Object
- - org.codehaus.groovy.classgen.asm.MethodPointerExpressionWriter

- Direct Known Subclasses:
    `MethodReferenceExpressionWriter`

      public class MethodPointerExpressionWriter
      extends Object

  A helper class used to generate bytecode for method pointer expressions.
  Since:
    3.0.0

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected WriterController` | `controller` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MethodPointerExpressionWriter​(WriterController controller)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `writeMethodPointerExpression​(MethodPointerExpression expression)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### controller

          protected final WriterController controller

  - ### Constructor Detail

    - #### MethodPointerExpressionWriter

          public MethodPointerExpressionWriter​(WriterController controller)

  - ### Method Detail

    - #### writeMethodPointerExpression

          public void writeMethodPointerExpression​(MethodPointerExpression expression)